edu.cmu.pslc.logging.element

## Class ConditionElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.ConditionElement

-     public class ConditionElement
      extends java.lang.Object

  ClassElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionElement(java.lang.String name)` Constructor.
    `ConditionElement(java.lang.String name, java.lang.String type)` Constructor.
    `ConditionElement(java.lang.String name, java.lang.String type, java.lang.String desc)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDesc()` Gets description.
    `java.lang.String` | `getName()` Gets name.
    `java.lang.String` | `getType()` Gets type.
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionElement

          public ConditionElement(java.lang.String name,
                          java.lang.String type,
                          java.lang.String desc)

      Constructor.
      Parameters:
        `name` - name
        `type` - type
        `desc` - description

    - #### ConditionElement

          public ConditionElement(java.lang.String name,
                          java.lang.String type)

      Constructor.
      Parameters:
        `name` - name
        `type` - type

    - #### ConditionElement

          public ConditionElement(java.lang.String name)

      Constructor.
      Parameters:
        `name` - name

  - ### Method Detail

    - #### getDesc

          public java.lang.String getDesc()

      Gets description.
      Returns:
        description.

    - #### getName

          public java.lang.String getName()

      Gets name.
      Returns:
        name.

    - #### getType

          public java.lang.String getType()

      Gets type.
      Returns:
        type.

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center